Package com.databend.jdbc

# Class StatementInfoWrapper

java.lang.Object
com.databend.jdbc.StatementInfoWrapper

public class StatementInfoWrapper extends Object
This represents a statement that is ready to be sent to Databend or executed internally to set a param

## Constructor Summary

Constructors
Constructor
Description
`StatementInfoWrapper()`

## Method Summary

Modifier and Type
Method
Description
`static StatementInfoWrapper`
`of(@NonNull RawStatement rawStatement)`
Creates a StatementInfoWrapper from the `RawStatement`.
`static StatementInfoWrapper`
`of(@NonNull RawStatement rawStatement, String id)`
Creates a StatementInfoWrapper from the `RawStatement`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatementInfoWrapper

public StatementInfoWrapper()

## Method Details

### of

public static StatementInfoWrapper of(@NonNull @NonNull RawStatement rawStatement)
Creates a StatementInfoWrapper from the `RawStatement`.

Parameters:
  `rawStatement` - the raw statement
Returns:
  the statement that will be sent to the server

### of

public static StatementInfoWrapper of(@NonNull @NonNull RawStatement rawStatement, String id)
Creates a StatementInfoWrapper from the `RawStatement`.

Parameters:
  `rawStatement` - the raw statement
  `id` - the id of the statement to execute
Returns:
  the statement that will be sent to the server